petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscPopUpSelect

Pops up a windows with a list of choices; allows one to be chosen

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscPopUpSelect(MPI_Comm comm,const char *machine,const char *title,int n,const char **choices,int *choice)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - MPI communicator, all processors in communicator must call this but input Many brfrom first communicator is the only one that is used Many br
| machine | - location to run popup program or NULL Many br
| title | - text to display above choices Many br
| n | - number of choices Many br
| choices | - array of strings Many br

### Output Parameter

choice -integer indicating which one was selected Many br

Many br

### Notes

Uses DISPLAY variable or -display option to determine where it opens the window Many br

Currently this uses a file ~username/.popuptmp to pass the value back from the Many brxterm; hence this program must share a common file system with the machine Many brparameter passed in below. Many br

Level:developer
Location:src/sys/utils/select.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages